Download access points as CSV

GET /internal/admin/comms/v1/location/access-points/download

Operation id: get__internal_admin_comms_v1_location_access_points_download

Description

Downloads access point data as a CSV file that can be used for editing and re-uploading

Tags: User Location

Parameters

Query parameters

NameTypeRequiredDescription
pageintegerNopage number for returned records
page_sizeintegerNonumber of records to return per page.
site_idstringNoSite id to filter records (optional)
tenant_idstringYesTenant ID of the records to download

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — CSV file containing access point data

Content type: text/csv

400 — Bad request

Content type: application/json

401 — Unauthorized

Content type: application/json

404 — Not Found

Content type: application/json

500 — Internal Server Error

Content type: application/json

Response models

200 — CSV file containing access point data

Content type: text/csv

Schema

{
  "type": "string",
  "format": "binary"
}

Example:

"bssid,name,tenant_id,site_id,location_friendly_name\n00:11:22:33:44:55,AP1,tenant123,Site1,Building A Floor 1\n"

400 — Bad request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "message": {
      "type": "string"
    }
  }
}

401 — Unauthorized

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "message": {
      "type": "string"
    }
  }
}

404 — Not Found

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "message": {
      "type": "string"
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer"
    },
    "message": {
      "type": "string"
    }
  }
}